#ifndef TNOTIFYWINDOW_H
#define TNOTIFYWINDOW_H

#include <QWidget>
#include <QtGui>


class TNotifyWindow : public QWidget
{
    Q_OBJECT
public:
    explicit TNotifyWindow(QString Title, QString Text, int pos = 0, QWidget *parent = 0);
    TNotifyWindow* thisObject;
    QPropertyAnimation* anima;

protected:
    void showEvent(QShowEvent * event);

private:
    QLabel* message;
    QDesktopWidget* desktop;
    QTimer* timer;
    const int toolBarHeight;

signals:
    void requestDelete(TNotifyWindow* thisObject);

public slots:

private slots:
    void sendRequestDelete(void);

};

#endif // TNOTIFYWINDOW_H
