#ifndef TTHREADLIST_H
#define TTHREADLIST_H

#include <QTreeWidget>
#include "tthread.h"
#include "tthreadlistitem.h"

class TThreadList : public QTreeWidget
{
    Q_OBJECT
public:
    explicit TThreadList(QTreeWidget *parent = 0);
    void addThread(QUrl threadUrl);
    void deleteThread(int threadIndex);
    void startWatch(int threadIndex);
    void stopWatch(int threadIndex);

private:
    QList<TThreadListItem*> threadList;

signals:
    void requestThread(void);

public slots:

private slots:
    void showMenu(QPoint point);
    void renameThread(void);
    void save(void);

};



#endif // TTHREADLIST_H
