#ifndef TTHREADLISTITEM_H
#define TTHREADLISTITEM_H

#include <QTreeWidgetItem>
#include "tthread.h"

class TThreadListItem : public QObject, public QTreeWidgetItem
{
    Q_OBJECT
public:
    explicit TThreadListItem(TThreadListItem *parent = 0);
    TThreadListItem(QUrl URL, TThreadListItem *parent = 0);
    void startWatch(void);
    void stoptWatch(void);
    void activate(void);
    void rename(QString newName);
    QUrl getURL(void);

private:
    TThread* watchedThread;
    QUrl threadURL;

signals:
    void isChanged(void);

public slots:

private slots:
    void update(void);

};

#endif // TTHREADLISTITEM_H
