#ifndef TNOTIFY_H
#define TNOTIFY_H

#include <QObject>
#include <QtGui>
#include "tnotifywindow.h"

class TNotify : public QObject
{
    Q_OBJECT
public:
    explicit TNotify(QObject *parent = 0);
    void newNotify(QString Title, QString Text);
    static QString arrangeText(QString Text, int MaximumWidth, int MaximumRows);

private:
    int notifyNum;
    QList<TNotifyWindow*> notifyList;
    QParallelAnimationGroup* animation;

signals:

public slots:
    void deleteNotify(TNotifyWindow* notify);

};

#endif // TNOTIFY_H
