#ifndef TSTATE_H
#define TSTATE_H

#include <QObject>
#include <QtGui>

class TState : public QObject
{
    Q_OBJECT
public:
    explicit TState(int State = 0, QObject *parent = 0);
    enum STATE{PENDING, STOP, WATCHING, ONDEMAND, WAITING};
    QString getState(void);
    QColor getColor(void);
    int getStateInt(void);
    void setStateInt(int State);

private:
    int state;
    QColor* stateColor;

signals:
    void isChanged (void);

public slots:

};

#endif // TSTATE_H
